### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
YearOnYearInflationSwapHelper Class Reference

Year-on-year inflation-swap bootstrap helper. More...

`#include <ql/termstructures/inflation/inflationhelpers.hpp>`

Inheritance diagram for YearOnYearInflationSwapHelper:
[legend]

List of all members.

## Public Member Functions

| YearOnYearInflationSwapHelper (const Handle< Quote > &quote, const Period &swapObsLag_, const Date &maturity, const Calendar &calendar, BusinessDayConvention paymentConvention, const DayCounter &dayCounter, const boost::shared_ptr< YoYInflationIndex > &yii)
void | setTermStructure (YoYInflationTermStructure *)
| sets the term structure to be used for pricing
Real | impliedQuote () const

## Protected Attributes

Period | swapObsLag_
Date | maturity_
Calendar | calendar_
BusinessDayConvention | paymentConvention_
DayCounter | dayCounter_
boost::shared_ptr < YoYInflationIndex > | yii_
boost::shared_ptr < YearOnYearInflationSwap > | yyiis_

## Detailed Description

Year-on-year inflation-swap bootstrap helper.

## Member Function Documentation

void setTermStructure | ( | YoYInflationTermStructure * |  | ) | `[virtual]`

sets the term structure to be used for pricing

Warning:
  Being a pointer and not a shared_ptr, the term structure is not guaranteed to remain allocated for the whole life of the rate helper. It is responsibility of the programmer to ensure that the pointer remains valid. It is advised that this method is called only inside the term structure being bootstrapped, setting the pointer to this, i.e., the term structure itself.

Reimplemented from BootstrapHelper< YoYInflationTermStructure >.